This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 215142 - Unneeded hard dependency on restorecon
Unneeded hard dependency on restorecon
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-xfs (Show other bugs)
7
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-11 08:44 EST by Ville Skyttä
Modified: 2008-06-16 21:15 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.0.4-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:15:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2006-11-11 08:44:08 EST
xorg-x11-xfs has a hard dependency on /sbin/restorecon due to the xfs init
script, but the init script checks for existence if /sbin/restorecon before
invoking it, so it's actually optional.  The dependency will prevent removal of
policycoreutils and its dependency chain from systems that do not use SELinux.
Comment 1 Ville Skyttä 2006-11-11 08:57:11 EST
Here's one example of the expanded FC6 dependency chain; without the
xorg-x11-xfs dependency on restorecon I'd be able to remove these packages:
policycoreutils, audit-libs-python, kernel-headers, libselinux-python,
libsemanage, rhpl, wireless-tools

Comment 2 Bill Nottingham 2007-07-27 12:06:47 EDT
Fixed in 1.0.4-2.
Comment 3 Matěj Cepl 2007-09-14 18:58:00 EDT
This should be fixed IMHO in F7 as well:

[matej@viklef ~]$ rpm -qR xorg-x11-xfs |grep restorecon
/sbin/restorecon
[matej@viklef ~]$ rpm -q xorg-x11-xfs
xorg-x11-xfs-1.0.2-3.1
[matej@viklef ~]$
Comment 4 Bug Zapper 2008-05-14 08:04:54 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2008-06-16 21:15:00 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.